#include <CapacitiveSensor.h>

int ledRed = 9;                                          //change '42' to any desired pin...long time = 0;
int ledYellow = 10;
int motor = 11;

boolean proximity;
boolean touched;
boolean previous = false;

int brightness = 0;
int fadeAmount = 10;

CapacitiveSensor   cs_4_2 = CapacitiveSensor(4,2);        // 10M resistor between pins 4 & 2, pin 2 is sensor pin, add a wire and or foil if desired// To add more sensors...//CapacitiveSensor   cs_4_6 = CapacitiveSensor(4,6);        // 10M resistor between pins 4 & 6, pin 6 is sensor pin, add a wire and or foil//CapacitiveSensor   cs_4_8 = CapacitiveSensor(4,8);        // 10M resistor between pins 4 & 8, pin 8 is sensor pin, add a wire and or foil
void setup()
{
  Serial.begin(9600);
   cs_4_2.set_CS_AutocaL_Millis(0xFFFFFFFF);  //Calibrate the sensor... 
   pinMode(ledRed, OUTPUT);
   pinMode(ledYellow, OUTPUT);
   pinMode(motor, OUTPUT);
}

void loop()                    
{
    long total1 =  cs_4_2.capacitiveSensor(30);
    
    if (total1 > 500){proximity = true;}
    else {proximity = false;} 

    if (total1 > 2200) {touched = true;}
    else {touched = false;}


     
     if(proximity == true && touched == false){
       brightness = brightness + fadeAmount;
       analogWrite(ledYellow,0);
       analogWrite(motor, 80);
     }
     else if (proximity == true && touched == true) {
       analogWrite(ledYellow,255);
       analogWrite(motor,150);
       brightness = 0;
       fadeAmount = 10;

     } else {
       brightness = 0;
       fadeAmount = 10;
       analogWrite(ledYellow,0);   
       analogWrite(motor,0); 
     }

     if (brightness < 0 || brightness >= 255) {
        fadeAmount = -fadeAmount;
     }
       
     // brightness = 255;
      analogWrite(ledRed, brightness);
      previous = proximity;

      delay(10);


}

